
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>lua的table库中常用的函数 / 憋错料</title>

    <meta name="description" content="lua的table库中常用的函数 lua提供了一些辅助函数来操作table.例如,从list中insert和remove元素,对array的元素进行sort,或者concatenate数组中的所有strings.下面就详细地讲解这些方法. insert and remove table.insert将一个元素插入到指定位置,例如: t = {1, 2, 3} table.insert(t, 1, 4} t的结果将是{4, 1, 2, 3} insert的第二个参数是可以省略的,这样就会插入到数组的最后,从而不必移动其他元素.同样">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">lua的table库中常用的函数</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>lua提供了一些辅助函数来操作table。例如，从list中insert和remove元素，对array的元素进行sort，或者concatenate数组中的所有strings。下面就详细地讲解这些方法。</p>
<p><strong>insert and remove</strong></p>
<p>table.insert将一个元素插入到指定位置，例如：</p>
<p>t = {1, 2, 3}</p>
<p>table.insert(t, 1, 4}</p>
<p>t的结果将是{4, 1, 2, 3}</p>
<p>insert的第二个参数是可以省略的，这样就会插入到数组的最后，从而不必移动其他元素。同样地，table.remove是从数组中移除（并返回）一个元素，table.remove(t,1)将移除t中下标是1的元素，如果不指定移除位置，则移除最后一个。</p>
<p>通过insert,remove方法，就能很直接的地实现stacks，queues, double queues. push操作就相当于table.insert(t, x), 而pop操作就相当于table.remove(t)，例如定义一个栈：</p>
<p>stack = {}</p>
<p>function stack:push(x)</p>
<p>table.insert(self, x)</p>
<p>end</p>
<p>function stack:pop()</p>
<p>table.remove(self)</p>
<p>end</p>
<p><strong>sort</strong></p>
<p>另一个有用的函数是sort，对数组进行排序,如果没有提供排序函数，默认是&lt;操作。人们范的普遍的错误是尝试对table的key进行排序。在table里，所有key组成个集合，绝壁没有任何顺序。如果你要对他们排序，首先要将他们拷贝到一个数组里，然后在进行sort。假如我们有一个table，想要以排序后的key的顺序进行迭代，我们就可以写过这样的迭代器：</p>
<p>function pairsByKeys(t, f)</p>
<p>local a = {}</p>
<p>for k in pairs(t) do a[#a&#043;1] = k end</p>
<p>table.sort(a, f)</p>
<p>local i = 0</p>
<p>return function()</p>
<p>i = i &#043; 1</p>
<p>return a[i], t[a[i]]</p>
<p>end</p>
<p>end</p>
<p><strong>concatenation</strong></p>
<p>给定的table，所有的元素是string或是number，将返回table[i]..sep..table[i&#043;1] ··· sep..table[j],分隔符默认是空字符串，i默认是1, j默认是表的长度。如果i &gt; j, 则返回空字符串。例如：</p>
<p>spring = {&quot;春林渐盛&quot;, &quot;春水初生&quot;, &quot;春风十里不如你&quot;}</p>
<p>print(table.concat(spring, &quot;,&quot;))</p>
<p>(完)</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-24 05:25:29 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/table/" title="table">table</a>, <a href="https://www.biecuoliao.com/tag/lua/" title="lua">lua</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>lua的table库中常用的函数的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mzo9gW0.html" rel="bookmark">lua的table库中的常用函数总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				https://www.cnblogs.com/daochong/p/7363649.html table是Lua语言中的一种重要的数据类型, table 的一些特性简单列举如下: (1).table 是一个“关联数组”,数组的索引可以是数字或者是字符串; (2).table 的默认初始索引一般以 1 开始; (3).table 的变量只是一个地址引用,对 table 的操作不会产生数据影响; (4).table 不会固定长度大小,有新数据插入时长度会自动增长; (5).table 所有索引值都			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nq98y3.html" rel="bookmark">Lua整理&mdash;&mdash;table库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				table属性 table库是有一些辅助函数构成的,这些函数将table作为数组来操作.其中,有对列表中插入和删除元素的函数,有对数组元素进行排序的函数,还有对链接一个数组中所有字符串的函数. 0.table.getn()Lua 中我们经常假定 array 在最后一个非 nil 元素处结束. 这个传统的约定有一个弊端:我们的 array中不能拥有 nil 元素.对大部分应用来说这个限制不是什么问题,比如当所有的 array 有固定的类型的时候.但有些时候我们的 array 需要拥有 nil 元素			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGDgVo0.html" rel="bookmark">Mysql中常用的函数汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mysql中常用的函数汇总: 一.数学函数abs(x) 返回x的绝对值bin(x) 返回x的二进制(oct返回八进制,hex返回十六进制)ceiling(x) 返回大于x的最小整数值exp(x) 返回值e(自然对数的底)的x次方floor(x) 返回小于x的最大整数值greatest(x1,x2,...,xn)返回集合中最大的值least(x1,x2,...,xn) 返回集合中最小的值ln(x) 返回x的自然对数log(x,y)返回x的以y为底的对数mod(x,y) 返回x/y的模(余数)pi(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEYdaZM.html" rel="bookmark">SQL点滴30&mdash;SQL中常用的函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:SQL点滴30-SQL中常用的函数 该文章转载自http://www.cnblogs.com/jiajiayuan/archive/2011/06/16/2082488.html 别人的总结,很详细. 以下所有例子均Studnet表为例:  计算字符串长度len()用来计算字符串的长度 select sname ,len(sname) from student 字符串转换为大.小写lower() 用来将一个字符串转换为小写,upper() 用来将一个字符串转换为大写 select lowe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mykdgm3.html" rel="bookmark">sort在STL库中是排序函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				sort在STL库中是排序函数,有时冒泡.选择等O(N^2)算法会超时时,我们可以使用STL中的快速排序O(N log N)完成排序 sort在&lt;algorithm&gt;库里面,原型如下: 1 2 3 4 template &lt;class RandomAccessIterator&gt;  void sort ( RandomAccessIterator first, RandomAccessIterator last ); template &lt;class RandomAccessIte			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wm51NM.html" rel="bookmark">re模块中常用功能函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				re模块中常用功能函数 正则表达式是一个特殊的字符序列,它能帮助你方便的检查一个字符串是否与某种模式匹配. Python 自1.5版本起增加了re 模块,它提供 Perl 风格的正则表达式模式. re 模块使 Python 语言拥有全部的正则表达式功能. compile 函数根据一个模式字符串和可选的标志参数生成一个正则表达式对象.该对象拥有一系列方法用于正则表达式匹配和替换. re 模块也提供了与这些方法功能完全一致的函数,这些函数使用一个模式字符串做为它们的第一个参数. re.match函数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXbo8q3.html" rel="bookmark">python 迭代器 itertools模块中常用工具函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				迭代器 itertools模块中常用工具函数,提供了接近二十个迭代器工具函数. 原文地址:https://www.cnblogs.com/bcyczhhb/p/11809842.html			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xQoDr3.html" rel="bookmark">在PHP编程中常用的函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;?php//===============================时间日期===============================//y返回年最后两位,Y年四位数,m月份数字,M月份英文.d月份几号数字,D星期几英文$date=date(&quot;Y-m-d&quot;);$date=date(&quot;Y-m-d H:i:s&quot;);//带时分秒 //include,include_once.require,require_once//require(&quot;file			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDvxkY3.html" rel="bookmark">Mysql中常用的函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				控制流函数IFNULL(expr1,expr2)如果expr1不是NULL,IFNULL()返回expr1,否则它返回expr2.IFNULL()返回一个数字或字符串值,取决于它被使用的上下文环境. mysql&gt; select IFNULL(1,0); -&gt; 1 mysql&gt; select IFNULL(0,10); -&gt; 0 mysql&gt; select IFNULL(1/0,10); -&gt; 10 mysql&gt; select IFNULL(1/0,'yes');			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49ZbqgM.html" rel="bookmark" class="title">Android Studio设置代理</a>
					<div>
						我们都知道Android Studio是基于IDEA开发的,而我们写的每一个程序又都是有Gradle构建的,Gradle的优点可以说是很多,被很多程序员夸得没边,但是它有一个特点还是值得我们注意的.我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQn9k3.html" rel="bookmark" class="title">hdu 3004 The Chess【广独优先搜索】</a>
					<div>
						The Chess Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) Total  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a7KwR4.html" rel="bookmark" class="title">php 之 查询 投票练习0508</a>
					<div>
						%E4%BD%BF%E7%94%A8LIBSVM%E5%B7%A5%E5%85%B7%E5%AE%9E%E7%8E%B0%E6%A0%B7%E6%9C%AC%E5%88%86%E7%B1%BB%E9% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bnKrp0.html" rel="bookmark" class="title">安装及解决报错</a>
					<div>
						安装过程:http://blog.sina.com.cn/s/blog_4b2bcac50100w928.html 64位系统启动xmapp1.7.7 时报错解决:http://www.stwind. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZYwD80.html" rel="bookmark" class="title">Electron使用与学习</a>
					<div>
						对于electron是个新手,下面纯属个人理解.如有错误,欢迎指出. 一.安装 如果你本地按照github上的 # Install the `electron` command globally in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/My5y6mM.html" rel="bookmark" class="title">挠馅任俾傩r0pn8ydov7u15p5n</a>
					<div>
						走回宿舍楼,刚到自己宿舍门前,霍雨浩就发现门是开着的,先是一惊后才意识到,恐怕是与自己同屋的舍友到了.可以说,这一枚玄水丹调动了霍雨浩身体全方位的提升,才有了这么大的变化.对他未来的修炼,更是有着巨大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AdBkD3.html" rel="bookmark" class="title">C语言之运算符</a>
					<div>
						一 赋值运算符 1.赋值运算符 //最基本的赋值运算符 int number = 2; //符合运算符: += -= *= /= %= /* + 加法运算 - 减法运算 * 乘法运算 / 除法运算 % ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49rbQAM.html" rel="bookmark" class="title">编译安装LAMP环境：httpd-2&period;4&plus;mysql5&period;6&plus;php5&period;5</a>
					<div>
						本文大纲: 1.安装前准备 2.编译安装Apache 3.安装Mysql数据库 4.编译安装PHP 5.配置httpd服务,使其支持php 6.安装Xcache加速器 7.启用服务器状态页面 8.PH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORpEo0.html" rel="bookmark" class="title">最简单直接碎片操作，动态增删改（2）</a>
					<div>
						接续文章1的主activity,新增两个按钮一个是删除,一个是恢复然后添加事件,代码如下: @SuppressLint(&quot;Recycle&quot;) @Override public vo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmoAjQ3.html" rel="bookmark" class="title">linux 下rpm命令参数使用方法详解</a>
					<div>
						RPM 是 Red Hat Package Manager 的缩写,本意是Red Hat 软件包管理,顾名思义是Red Hat 贡献出来的软件包管理:在Fedora .Redhat.Mandriva. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jdzl90.html" rel="bookmark" class="title">神经网络激活函数及导数</a>
					<div>
						ICML 2016 的文章[Noisy Activation Functions]中给出了激活函数的定义:激活函数是映射 h:R→R,且几乎处处可导. 神经网络中激活函数的主要作用是提供网络的非线性建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWV78k4.html" rel="bookmark" class="title">Java设计模式6：策略模式</a>
					<div>
						策略模式 策略模式的用意是针对一组算法,将每一个算法封装到具有共同接口的独立类中,从而使得它们可以相互替换.策略模式使得算法可以在不影响到客户端的情况下发生变化. 策略模式的结构 策略模式是对算法的包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPv2wB3.html" rel="bookmark" class="title">C语言变量的类型和存储位置</a>
					<div>
						1. C语言变量主要分为全局变量.静态全局变量.局部变量.静态局部变量和寄存器变量.其中静态变量用static关键字进行修饰.程序所占用的内存可以分为以下几个部分: (1)代码段-存放程序代码,只读的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MobYVw4.html" rel="bookmark" class="title">干货季01：vCenter Server安装到SSO的时候报错</a>
					<div>
						昨天QQ群好友反应在安装vCenter Server安装到SSO的时候就报错了,于是我让他看了一下对应的安装日志信息,从下图所示来看是因为主机名的原因造成的,这让我联想到了AD域服务器,因为VMwar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0azjrn3.html" rel="bookmark" class="title">录播教室预约系统&lpar;六&rpar;-注册新用户</a>
					<div>
						预约系统中,新用户可以自己注册,然后管理员开通. 注册界面如下: 客户端新用户注册代码:       button1_Click((txtUserID.Text.Trim ()==|| txtUser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0klxrz3.html" rel="bookmark" class="title">银行卡归属地查询</a>
					<div>
						银行卡归属地查询  根据银行卡号查询银行卡归属地信息 http://www.haoservice.com/docs/61 请求参数:   名称 类型 必填 说明   key string 是 API  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBj8wKM.html" rel="bookmark" class="title">String的几种初始化方法的区别</a>
					<div>
						参考了: java中String的两种初始化方法 ? String a; String aa = &quot;&quot;; String aaa = &quot;123&quot;; String  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OpJmK4.html" rel="bookmark" class="title">xml&lpar;可扩展标记语言&rpar;</a>
					<div>
						XML 数据存储 1.XML 语法特点 1 严格区分大小写2 有且只有一个根节点3 有开始和结束标签4 属性必须使用'&quot;'5 没有预定义标签,与html不一样6 文档声明: &lt;?xml ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bLNPL4.html" rel="bookmark" class="title">MT4编程培训速成班（视频教程）QQ973201383</a>
					<div>
						速成班课程介绍http://www.ea668.com/thread-3026-1-1.html报名学习:QQ973201383   手机:13774372025  杨老师 MT4编程培训课程(速成班 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vXDQLM.html" rel="bookmark" class="title">为何EIA和大行情时别人赚爆你却爆仓？</a>
					<div>
						投资理财不是一朝一夕的事,前期的亏损,不代表后期的亏损:前期的获利,不代表后期的获利.所以,亏损的朋友不要气馁,获利的朋友不要自满,让自己以平和的心态理性的投资.择佳会给出准确的分析,合理的建议,帮助 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
